apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "barwa-apis.fullname" . }}
  labels:
{{ include "barwa-apis.labels" . | indent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "barwa-apis.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "barwa-apis.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
    spec:
      imagePullSecrets:
        - name: harbor-pull-secret
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ include "barwa-apis.repo" . }}/{{ .Values.image.imageName }}:{{ include "barwa-apis.version" . }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            {{- include "barwa-apis.environment" . | indent 12 }}
          ports:
            - name: http
              containerPort: {{ .Values.service.port }}
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /actuator/health
              port: http
            initialDelaySeconds: 30
            periodSeconds: 10
            timeoutSeconds: 5
            failureThreshold: 90
          # readinessProbe:
          #   httpGet:
          #     path: /HeartBeat/check
          #     port: http
          #   initialDelaySeconds: 30
          #   periodSeconds: 10
          #   timeoutSeconds: 5
          #   failureThreshold: 90
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
